”标签的文章共识的问题

geth更新- 116522修复

以太坊有多种客户端选项,你可以运行这些客户端,以便让你的钱包和以太币操作,以及访问网络。这允许用户选择最适合他们的客户端和他们喜欢坚持的客户端,也可以帮助解决今天早些时候的网络分叉问题。在Frontier网络的116522区块(2015-08-20 14:59:16+02:00)发生了一个共识问题,影响了geth实现,包括版本1.0.1,1.1.0和develop(“不稳定的1.1.0”),而eth (c++)和pyethereum (Python)未受影响。不久之后,针对受影响的以太坊客户端发布了一个修复,用户被要求更新他们的geth客户端(),如果他们正在运行它。

由于geth是我们首选的以太坊客户端软件,我们也一直在使用它作为我们的指南,如果你也依赖geth,你应该用geth 1.0.2的固定版本更新它。我们在下面的挖掘包中提供了一个固定的Windows二进制文件,你可以下载并在你的系统上进行更新。你所要做的就是停止旧的客户端,用提供的新客户端替换旧的geth.exe,并运行新的geth客户端软件,你应该会很好。更新后,你可以看到一个错误信息,就像上面的截图中红色标记的,这是正常的,错误信息应该消失后,当所有客户端更新到固定版本的geth。你正在看到错误消息,因为你正在连接到一个peer与一个较旧版本的geth,所以一旦没有更多的peer与较旧的非固定版本的消息警报将自己解决。金沙注册开户送如果还没有更新到固定客户端,交易所和池应该很快更新,应该恢复正常的操作,尽管在网络问题期间可能会有一些事务延迟和事务发送的一些问题。

- - - - - -下载固定版本的geth客户端编译的Windows和准备使用…